Gtk_OptionMenu(3)

NAME - Gtk_OptionMenu

HEADER REQUIRED
#include <gtk--/optionmenu.h&gt;>

BASE CLASSES
Gtk_Button(3)

PROPERTIES

menu
    Type: Gtk_Widget*

menu_item
    Type: Gtk_Widget*

width
    Type: guint16

height
    Type: guint16

     .IP

PUBLIC MEMBER INDEX
    Gtk_OptionMenu();
    Gtk_OptionMenu(GtkOptionMenu *castitem);
    const Gtk_Widget*  get_menu() const;
    Gtk_Widget*  get_menu();
    void  set_menu(const Gtk_Menu &menu);
    void  set_menu(const Gtk_ObjectHandle &menu);
    void  remove_menu();
    void  set_history(gint index);
    GtkOptionMenu*  gtkobj();
    const GtkOptionMenu*  gtkobj() const;
    static bool  isGtkOptionMenu(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkOptionMenu  BaseObjectType;
    typedef GtkOptionMenuClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_Widget * menu_widget_;

PRIVATE MEMBER INDEX
    static CppClassType  option_menu_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS